Jump to content

How To Open A File If...


19cruthik68

Recommended Posts

You're going to have another issue when you save the drawing. If it was in 2007 format, your version (AutoCAD 2010) is going to save it in 2010 format. If the person who created it is still using AutoCAD 2007 and tries to open it, he'll have trouble.

Link to comment
Share on other sites

You're going to have another issue when you save the drawing. If it was in 2007 format, your version (AutoCAD 2010) is going to save it in 2010 format. If the person who created it is still using AutoCAD 2007 and tries to open it, he'll have trouble.

 

Unless, you go to Tools, down to options, and click on "open and save". Then you can set your 2010 to always save to an older version.

save as.PNG

 

You can set this per profile, so if you have different profiles for different customers, you can set this if you have a customer that needs you to save down.

Link to comment
Share on other sites

You can set this per profile' date=' so if you have different profiles for different customers, you can set this if you have a customer that needs you to save down.[/quote']

 

Just for fun... You can also set this programmatically upon opening the drawing:

 

(defun Set:SaveAsType ( / *error* _SaveAsType)
 ;; © RenderMan, 2011
 (vl-load-com)

 (defun *error*  (msg)
   (if f (close f))
   (cond ((not msg))                                                   ; Normal exit
         ((member msg '("Function cancelled" "quit / exit abort")))    ; <esc> or (quit)
         ((princ (strcat "\n** Error: " msg " ** "))))                 ; Fatal error, display it
   (princ))

 (defun _SaveAsType (acApp typ s)
   (vla-put-saveastype (vla-get-opensave (vla-get-preferences acApp)) typ)
   (prompt (strcat "\n** Save As format = " s " ** ")))
 
 ((lambda (acApp titled dwg path / f l)
    (if (and (= 1 titled)
             (setq f (open (strcat path dwg) "r"))
             (setq l (read-line f))
             (not (close f))
             (not (setq f nil)))
      (cond
        ((vl-string-search "AC1014" l)
         (_SaveAsType acApp acR14_dwg "R14"))
        ((vl-string-search "AC1015" l)
         (_SaveAsType acApp ac2000_dwg "2000"))
        ((vl-string-search "AC1018" l)
         (_SaveAsType acApp ac2004_dwg "2004"))
        ((vl-string-search "AC1021" l)
         (_SaveAsType acApp ac2007_dwg "2007"))
        ((vl-string-search "AC1024" l)
         (_SaveAsType acApp ac2010_dwg "2010")))))
   (vlax-get-acad-object)
   (getvar 'dwgtitled)
   (getvar 'dwgname)
   (getvar 'dwgprefix))
 (*error* nil))
(Set:SaveAsType)

... Or you can use a custom command that will automagically save the drawing in the source drawing's file format:

 

** Original setting restored when done

 

(defun c:SA+ () (c:SaveAs+))
(defun c:SaveAs+  (/ *error* _SaveAs+)
 ;; © RenderMan, 2011
 (vl-load-com)
 (princ "\rSAVEAS+ ")

 (defun *error*  (msg)
   (if f (close f))
   (if oldTyp
     (vla-put-saveastype
       (vla-get-opensave (vla-get-preferences acApp))
       oldTyp))
   (cond ((not msg))                                                   ; Normal exit
         ((member msg '("Function cancelled" "quit / exit abort")))    ; <esc> or (quit)
         ((princ (strcat "\n** Error: " msg " ** "))))                 ; Fatal error, display it
   (princ))

 (defun _SaveAs+  (acApp typ s)
   ((lambda (acOSPrefs / oldTyp)
      (if (/= typ (setq oldTyp (vla-get-saveastype acOSPrefs)))
        (vla-put-saveastype acOSPrefs typ))
      (vla-save (vla-get-activedocument acApp))
      (prompt (strcat "\n\t\t\t** Drawing saved in "
                      s
                      " file format ** "))
      (vla-put-saveastype acOSPrefs oldTyp)
      (setq oldTyp nil))
     (vla-get-opensave (vla-get-preferences acApp))))

 ((lambda (acApp titled dwg path / f l)
    (if (and (= 1 titled)
             (setq f (open (strcat path dwg) "r"))
             (setq l (read-line f))
             (not (close f))
             (not (setq f nil)))
      (cond
        ((vl-string-search "AC1014" l)
         (_SaveAs+ acApp acR14_dwg "R14"))
        ((vl-string-search "AC1015" l)
         (_SaveAs+ acApp ac2000_dwg "2000"))
        ((vl-string-search "AC1018" l)
         (_SaveAs+ acApp ac2004_dwg "2004"))
        ((vl-string-search "AC1021" l)
         (_SaveAs+ acApp ac2007_dwg "2007"))
        ((vl-string-search "AC1024" l)
         (_SaveAs+ acApp ac2010_dwg "2010"))
        ((prompt "\n** This file version is not supported ** ")))
      (prompt "\n** The drawing must be saved first ** ")))
   (vlax-get-acad-object)
   (getvar 'dwgtitled)
   (getvar 'dwgname)
   (getvar 'dwgprefix))
 (*error* nil))

Link to comment
Share on other sites

what i mean is they gave me a drawing file which was saved to autocad2010. Now my Autocad2010 already uninstalled so i switched to Autocad2008. How can I open the files that they gave if they used 2010 and I am using 2008. thanks.

Link to comment
Share on other sites

what i mean is they gave me a drawing file which was saved to autocad2010. Now my Autocad2010 already uninstalled so i switched to Autocad2008. How can I open the files that they gave if they used 2010 and I am using 2008. thanks.

 

This has already been answered.... link.gif

 

 

467.jpg

Link to comment
Share on other sites

what i mean is they gave me a drawing file which was saved to autocad2010. Now my Autocad2010 already uninstalled so i switched to Autocad2008. How can I open the files that they gave if they used 2010 and I am using 2008. thanks.

Why would you UNINSTALL the newer program? Are you using a pirated copy of the software?

Link to comment
Share on other sites

Why would you UNINSTALL the newer program? Are you using a pirated copy of the software?

 

Perhaps he only had the trial or educational student version of 2010?

Link to comment
Share on other sites

sorry, but how is that an answer? That link just takes you to a post that says you will have trouble.

 

Seriously? :unsure:

 

The OP explicitly wants to open a newer file format drawing (2010) with an older version (2008 ), which will not work at all... *unless* the 2010 drawing was saved back to 2007 file format.

 

Steve correctly points out (in the second post of this thread), that a newer release can open older file formats, however an older release cannot open newer file formats... AKA "Backward Compatibility."

 

What is unclear?

Link to comment
Share on other sites

Perhaps he only had the trial or educational student version of 2010?

I was thinking the same thing but then I saw that the OP had listed 2010 in his profile. Why bother to list a version you're only "testing" and not the version you're using?

Link to comment
Share on other sites

Seriously? :unsure:

 

The OP explicitly wants to open a newer file format drawing (2010) with an older version (2008 ), which will not work at all... *unless* the 2010 drawing was saved back to 2007 file format.

 

Steve correctly points out (in the second post of this thread), that a newer release can open older file formats, however an older release cannot open newer file formats... AKA "Backward Compatibility."

 

What is unclear?

Seriously. If there was no way to proceed I would agree but you can convert the newer file using AutoDesk software. That answers the question. Just pointing out that it can't be done doesn't. Edited by dbroada
typo, said older - should have said newer
Link to comment
Share on other sites

Seriously. If there was no way to proceed I would agree but you can convert the older file using AutoDesk software. That answers the question. Just pointing out that it can't be done doesn't.

 

Unfortunately, my friend, converting the "older file" is not the plight of the OP... additionally, you're neglecting the context in which the question has been posed.

 

Instead, the OP is trying to do exactly what is NOT possible - to open a newer drawing in an older version - without the file being converted back:

 

what i mean is they gave me a drawing file which was saved to autocad2010. Now my Autocad2010 already uninstalled so i switched to Autocad2008. How can I open the files that they gave if they used 2010 and I am using 2008. thanks.

 

Again, the OP's desired result is NOT possible with the applications specifically mentioned.

 

Can another "Autodesk software" (or their former 2010 version) successfully resolve this matter, yes, certainly. Was that the question posed, however, no.

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Unfortunately, your content contains terms that we do not allow. Please edit your content to remove the highlighted words below.
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...